Last Comment Bug 92176 - ::first-letter pseudo-element should consider both characters within letter combinations like the Dutch "ij"
: ::first-letter pseudo-element should consider both characters within letter c...
Status: NEW
: css1, css2, dev-doc-needed, helpwanted
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: -- minor with 3 votes (vote)
: Future
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
data:text/html,<!DOCTYPE html><style>...
Depends on:
Blocks: 23605
  Show dependency treegraph
 
Reported: 2001-07-24 16:03 PDT by Shanjian Li
Modified: 2015-02-12 03:12 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Shanjian Li 2001-07-24 16:03:46 PDT
This is a problem split from 54467. 
As CSS specs 5.12.2 metioned :
   "Some languages may have specific rules about how to treat certain letter 
combinations. In Dutch, for example, if the letter combination "ij" apprears at 
the beginning of a word, both letters should be considered within the 
:first-letter pseudo-element."
   Should we include those situations? I doubt if anyone will list a lot of such 
examples. Even to include above mentioned example is rather difficult, because 
we have to know what language it is. (Encoding normally is easier to get. )
Comment 1 Shanjian Li 2001-07-24 16:05:06 PDT
It is not clear either we want to implement this or not. But anyway, I don't see 
any solution in near future. 
Comment 2 Pierre Saslawsky 2001-07-24 17:29:51 PDT
This bug belongs to Internationalization, like bug 54467.

i18n folks need to identify the combinations of letters that should be considered 
as a single letter, and the language in which they occur, then extend the patch 
crafted by Shanjian in bug 54467 keeping in mind that the :first-letter pseudo 
can in fact cover up to 3 characters (1 punctuation sign + 2 letters).
Comment 3 anthonyd 2001-12-07 19:17:08 PST
reassining to the correct core and core owner.
Comment 4 Roy Yokoyama 2002-01-08 19:19:43 PST
-> shianjian
Comment 5 Shanjian Li 2002-01-09 15:14:44 PST
accepting
Comment 6 Anne (:annevk) 2004-09-11 14:18:13 PDT
Apparently, \u0132 en \u0133 are the Unicode characters for the Dutch "ij".
Could this be resolved as WONTFIX now there are characters for this? (I will
bring this up at www-style.)
Comment 7 Albert de Klein 2004-10-28 06:53:41 PDT
In most cases ij or IJ isn't seen as one character in Dutch and in most
publications it isn't treated as such. I doubt whether the single character
unicode values for ij/IJ are ever used in Dutch publications at all.

Some Dutch references on the usage of ij can be found on:

http://taalunieversum.org/taal/advies/vraag/1194/
http://taalunieversum.org/taal/advies/vraag/1188/

Comment 8 Ilja Kamps 2004-11-06 05:14:16 PST
Seeing popular use and the very limited support of the unicode signs it doesn't
make sense to not support it. Although it has been tried to get computers to see
it as one character before (Dutch DOS character set and keyboards had it as a
single sign), no one actually uses it. It is not even auto converted for in most
popular wordprocessors.
Comment 9 Sebastian Zartner [:sebo] 2015-02-11 06:20:06 PST
Corrected the summary.
Also, that's already documented https://developer.mozilla.org/en-US/docs/Web/CSS/::first-letter.

Sebastian
Comment 10 Jean-Yves Perrier [:teoli] 2015-02-11 08:44:34 PST
Sebastian: doesn't this mean that this is a duplicate of another bug? (meaning it should be RESOLVED DUPLICATE or RESOLVED WORKFORME)
Comment 11 Sebastian Zartner [:sebo] 2015-02-11 12:08:30 PST
I couldn't find any other bug related to this. And it is also not implemented yet.
What is done is the documentation of the feature according to the specification (though no browser seems to support this yet). FWIW I added a test case in the URL field.

Maybe I was too hasty, as the browser compatibility table still needs to be updated once this bug is fixed. Should the keyword be changed back to dev-doc-needed?

Sebastian
Comment 12 Jean-Yves Perrier [:teoli] 2015-02-12 03:12:05 PST
Yep, that we update Fx XY for devs and the compat table when this lands :-)

Note You need to log in before you can comment on or make changes to this bug.